Returns metadata document for the WriteError

- « MongoDB\Driver\WriteError::getIndex

- MongoDB\Driver\WriteError::getMessage »

- PHP Manual
- MongoDB\Driver\WriteError
- Returns metadata document for the WriteError

# MongoDB\Driver\WriteError::getInfo

(mongodb >=1.0.0)

MongoDB\Driver\WriteError::getInfo — Returns metadata document for the WriteError

### Description

final public MongoDB\Driver\WriteError::getInfo(): ?object

### Parameters

This function has no parameters.

### Return Values

Returns the metadata document for the WriteError, or `null` if no metadata is available.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.